<div class="headerpanel">
    Relation form
    <input [routerLink]="['/relation']" type="button" class="btn btn-danger back" value="Back" style="float:right">
</div>
<div style="padding:10px">
    <form #relationform="ngForm" (ngSubmit)="saveRelation(relationform.value)">
        <div class="content">
            <div class="secondpanel">
                General information
            </div>
            <div class="row">
                <div class="col-sm-1">
                    <label for="">Name</label>
                </div>
                <div class="col-sm-2">
                    <input type="text" class="form-control" name="firstName" placeholder="Enter first name"
                        [(ngModel)]="relations.firstName">
                </div>
                <div class="col-sm-2">
                    <input type="text" class="form-control" name="lastName" placeholder="Enter last name"
                        [(ngModel)]="relations.lastName" ngModel>
                </div>
            </div>
            <br>
            <div class="secondpanel">
                Contact information
            </div>
            <div class="row">
                <div class="col-sm-3">
                    <label for="">Email</label>
                    <input type="text" class="form-control" name="email" placeholder="Enter email id"
                        [(ngModel)]="relations.email" ngModel>
                    <br>
                    <label for="">Relation type</label>
                    <select ngModel name="relationtype" id="" [(ngModel)]="relations.relationtype" class="form-control">
                        <option value="">Select</option>
                        <option *ngFor="let reltype of reltype" [value]="reltype.relationtypeid">
                            {{ reltype.relationvc }}
                        </option>
                    </select>
                </div>
                <div class="col-sm-3">
                    <label for="">Address</label>
                    <textarea name="address" class="form-control" rows="5">{{ relations.address }}</textarea>
                </div>
                <div class="col-sm-3">
                    <label for="">Postal code</label>
                    <input type="text" class="form-control" name="postalcode" placeholder="Enter postalcode"
                        [(ngModel)]="relations.postalcode" ngModel>
                    <br>
                    <label for="">Country</label>
                    <select ngModel name="country" class="form-control" [(ngModel)]="relations.country">
                        <option>Select</option>
                        <option *ngFor="let country of country" [value]="country.countryid">{{ country.countryvc }}
                        </option>
                    </select>
                </div>
                <div class="col-sm-3">
                    <label for="">State / Province</label>
                    <input type="text" class="form-control" name="state" placeholder="Enter state"
                        [(ngModel)]="relations.state" ngModel>
                    <br>
                    <label for="">City</label>
                    <input type="text" class="form-control" name="city" placeholder="Enter city"
                        [(ngModel)]="relations.city" ngModel>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-3">
                    <label for="">Telephone</label>
                    <input type="text" class="form-control" name="telephone" placeholder="Enter telephone no"
                        [(ngModel)]="relations.telephone" ngModel>
                </div>
                <div class="col-sm-3">
                    <label for="">Mobile no.</label>
                    <input type="text" class="form-control" name="mobile" placeholder="Enter mobile no"
                        [(ngModel)]="relations.mobile" ngModel>
                </div>
                <div class="col-sm-3">
                    <label for="">Website </label>
                    <input type="text" class="form-control" name="website" placeholder="Enter website"
                        [(ngModel)]="relations.website" ngModel>
                </div>
                <div class="col-sm-3">
                    <label for="">EORI no.</label>
                    <input type="text" class="form-control" name="eorino" placeholder="Enter EORI no"
                        [(ngModel)]="relations.eorino" ngModel>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-sm-3"></div>
                <div class="col-sm-3"></div>
                <div class="col-sm-3"></div>
                <div class="col-sm-3" style="text-align:right">
                    <span style="color:green">{{ Msg }}</span>
                    &nbsp;
                    <input type="submit" class="btn btn-danger" value="Save" style="width:50px"> &nbsp;
                    <input type="button" class="btn btn-warning" value="Reset" style="width:50px;color:white">
                </div>
            </div>
        </div>
    </form>
</div>